<!DOCTYPE html>
<html>

<head>

    <title>Precision Medicine</title>
    <!-- UIkit CSS -->
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.1.5/css/uikit.min.css" />
    <!-- UIkit JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.1.5/js/uikit.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.1.5/js/uikit-icons.min.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

    <!--<script src="static/js-yaml.min.js"></script>-->
    <style>
        .uk-navbar-container {
            background-color: #375a7f;
        }

        .reveal-if-active {
            opacity: 0;
            max-height: 0;
            overflow: hidden;
        }

        input[type="radio"]:checked~.reveal-if-active,
        input[type="checkbox"]:checked~.reveal-if-active {
            opacity: 1;
            max-height: 100px;
            overflow: visible;
        }
    </style>
</head>

<body>
    <div class="uk-container">
        <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
            <div class="uk-navbar-left">
                <ul class="uk-navbar-nav">
                    <li class="{% if 'launch' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="launch">Launch custom workflows</a></li>
                    <li class="{% if 'launch_predefined' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="launch_predefined">Launch predefined workflows</a></li>
                    <li class="{% if 'status' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="status">Status</a></li>
                    <li class="{% if 'metadata' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="metadata">Metadata</a></li>
                    <li class="{% if 'runs' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="runs">Previous runs</a></li>
                    <li class="{% if 'outputs' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="outputs">Outputs</a></li>
                    <li class="{% if 'cancel' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="cancel">Cancel</a></li>
                    <li class="{% if 'authenticate' == active_page %}uk-active{%else%}uk-parent{%endif%}"><a
                            href="get_token">Get Token</a></li>
                    {% if vast_url is not none%}
                    <li><a href= "{{ vast_url }}" >Vast</a></li>
                    {% endif %}
                    <li><a href="logout">Logout</a></li>
                </ul>
            </div>
        </nav>
        {% block body %}
        {% endblock%}
    </div>

</body>


</html>